
Redmine - Defect #25116

redmine:email:receive_imap "attachments is invalid" At outlook file attach

2017-02-17 17:11 - Daniel Drexlmaier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

Error:

MailHandler: Validation failed: attachments is invalid

  Rendered mailer/_issue.text.erb (4.4ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (9.1ms)

  Rendered mailer/_issue.html.erb (4.9ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (6.4ms)

 Reproduce:

Server: Exchange

Client: Outlook 2016

Reproduce:

E-mail forward the e-mail as an attachment in the e-mail.

History

#1 - 2017-02-17 18:35 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See submissions.

#2 - 2019-04-21 22:21 - Daniel Drexlmaier

Problem...  U+1F642Slightly Smiling Face Unicode-Zeichen

#3 - 2022-02-02 20:02 - Daniel Drexlmaier

- File Bildschirmfoto 2022-02-02 um 20.02.26.png added

problem persists.

Problem Unicode-Symbols

ERROR -- : MailHandler: an unexpected error occurred when receiving email: Mysql2::Error: Incorrect string value: '\xF0\x9F\x94\xA5 S...' for column

`xx`.`issues`.`description` at row 1: INSERT INTO `issues`

#4 - 2022-02-02 21:16 - Daniel Drexlmaier

Solution: Convert table to utf8mb and set in file database.yml   "encoding: utf8mb4"

#5 - 2024-01-20 14:48 - Daniel Drexlmaier

Can Close. is resolved

#6 - 2024-01-29 05:32 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.
Files

Bildschirmfoto 2022-02-02 um 20.02.26.png 42.4 KB 2022-02-02 Daniel Drexlmaier
